//
//  CustomAlertView.h
//  ac-service-ios-Demo
//
//  Created by fariel huang on 2017/1/5.
//  Copyright © 2017年 OK. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol CustomTableAlertViewDelegate <NSObject>

- (void)customTableAlertViewCell:(UITableViewCell *)cell atIndex:(NSInteger)index;

@end

@interface CustomTableAlertView : UIView

+ (void)alertWithTarget:(id)target
                  title:(NSString *)title
                options:(NSArray *)options
                buttons:(NSArray<NSString *> *)buttons
               callback:(BOOL(^)(NSInteger selectedIndex,
                                 NSInteger buttonIndex))callback;

+ (void)dismiss;

+ (void)updateOptions:(NSArray *)options;

+ (BOOL)isDisplaying;

@end
