//
//  CommonDefine.h
//  Demo
//
//  Created by fariel huang on 2016/11/21.
//  Copyright © 2016年 AbleCloud. All rights reserved.
//

#ifndef CommonDefine_h
#define CommonDefine_h

#define ACWeakify(obj) autoreleasepool{} __weak __typeof(obj) obj##Weak = obj;
#define ACStrongify(obj) autoreleasepool{} __strong __typeof(obj) obj = obj##Weak;
#define WINDOW_WIDTH    [[UIScreen mainScreen] bounds].size.width
#define WINDOW_HEIGHT   [[UIScreen mainScreen] bounds].size.height

#define UIColorFromRGB(rgbValue) [UIColor colorWithRed:((float)((rgbValue & 0xFF0000) >> 16))/255.0 \
                                                 green:((float)((rgbValue & 0xFF00) >> 8))/255.0 \
                                                  blue:((float)(rgbValue & 0xFF))/255.0 \
                                                 alpha:1.0]
#define UIColorFromRGBA(rgbValue,aValue) [UIColor colorWithRed:((float)((rgbValue & 0xFF0000) >> 16))/255.0 \
                                                         green:((float)((rgbValue & 0xFF00) >> 8))/255.0 \
                                                          blue:((float)(rgbValue & 0xFF))/255.0 \
                                                         alpha:((float)(aValue & 0xFF))/255.0]

#endif /* CommonDefine_h */
